Title: shutil.copytree is not working on itanium
Type: Severity: normal
Components: Library Versions: Jython 2.5
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: fwierzbicki, pbourachot, zyasoft
Priority: low Keywords:

Created on 2011-07-13.15:36:34 by pbourachot, last changed 2015-01-14.03:23:04 by zyasoft.

msg6567 (view) Author: Bourachot (pbourachot) Date: 2011-07-13.15:36:34
Try to copy a directory using shutil.copytree, and you lost all the permission on the new directory.
You don't have permission on it.

Test Case : 

import shutil
dir = '/tmp/output1'
to = '/tmp/copy'
import os
print "Copy using copyTree %s to %s " %(dir,to)

It's impossible to go on the to director ('Permission denied')
msg9386 (view) Author: Jim Baker (zyasoft) Date: 2015-01-14.03:23:03
shutil should be portable code - we use the exact same version as CPython - but permissions support does depend on underlying JNR-Posix support, otherwise they are not applied.

That sounds like the problem here. Unfortunately we cannot really fix in this case.
Date User Action Args
2015-01-14 03:23:04zyasoftsetstatus: open -> closed
resolution: wont fix
messages: + msg9386
nosy: + zyasoft
2013-02-25 19:20:17fwierzbickisetpriority: low
nosy: + fwierzbicki
versions: + Jython 2.5, - 2.5.2
2011-07-13 15:36:35pbourachotcreate